Bug 730833 - circular scroll up jumps down
Summary: circular scroll up jumps down
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-synaptics
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 21:20 UTC by James Hogan
Modified: 2018-04-11 12:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-20 03:26:50 UTC


Attachments (Terms of Use)

Description James Hogan 2011-08-15 21:20:03 UTC
Description of problem:

Since updating to Fedora 15 I have an annoying touchpad issue, and I've just analysed it to figure out what's triggering it.

I have circular scroll enabled on right hand edge. if i press on right hand edge (3 o'clock position), and start moving, it scrolls perfectly, however if the point where I let go was last moved upwards and is in the right hand side, i get a massive down scroll.

I.e. It's as if at the point of mouse up, if the last scroll delta was anti-clockwise/upwards and the finger is in the right hand side, the delta is treated as unsigned and a large final scroll value results.

e.g.
It scrolls down massively if I:
1) scroll from 3 o'clock position up to 2 o'clock position
2) scroll from 2 o'clock position down to 4 o'clock position and then up slightly before letting go.
It works fine if i:
1) scroll from 3 o'clock downwards and let go
2) scroll from 4 o'clock position up to 2 o'clock position and down slightly.

Version-Release number of selected component (if applicable):
xorg-x11-drv-synaptics.x86_64                                1.4.0.901-1.fc15

How reproducible:
always

Steps to Reproduce:
1. enable circular scroll (synclient settings below)
2. start scroll on right hand side, end the scroll on the right hand side but with the last bit of motion being upwards, being careful that letting go doesn't change direction.
  
Actual results:
massive downward scroll

Expected results:
scroll position should roughly remain where it was before i let go.

Additional info:

Parameter settings:
    LeftEdge                = 1752
    RightEdge               = 5192
    TopEdge                 = 1620
    BottomEdge              = 4236
    FingerLow               = 21
    FingerHigh              = 26
    FingerPress             = 255
    MaxTapTime              = 180
    MaxTapMove              = 221
    MaxDoubleTapTime        = 180
    SingleTapTimeout        = 144
    ClickTime               = 498
    FastTaps                = 0
    EmulateMidButtonTime    = 75
    EmulateTwoFingerMinZ    = 280
    EmulateTwoFingerMinW    = 6
    VertScrollDelta         = 100
    HorizScrollDelta        = 100
    VertEdgeScroll          = 0
    HorizEdgeScroll         = 1
    CornerCoasting          = 0
    VertTwoFingerScroll     = 0
    HorizTwoFingerScroll    = 0
    MinSpeed                = 1
    MaxSpeed                = 1.75
    AccelFactor             = 0.0398089
    TrackstickSpeed         = 40
    EdgeMotionMinZ          = 29
    EdgeMotionMaxZ          = 159
    EdgeMotionMinSpeed      = 1
    EdgeMotionMaxSpeed      = 401
    EdgeMotionUseAlways     = 0
    TouchpadOff             = 0
    LockedDrags             = 0
    LockedDragTimeout       = 5000
    RTCornerButton          = 0
    RBCornerButton          = 0
    LTCornerButton          = 0
    LBCornerButton          = 0
    TapButton1              = 1
    TapButton2              = 0
    TapButton3              = 0
    ClickFinger1            = 1
    ClickFinger2            = 1
    ClickFinger3            = 1
    CircularScrolling       = 1
    CircScrollDelta         = 0.28
    CircScrollTrigger       = 3
    CircularPad             = 0
    PalmDetect              = 0
    PalmMinWidth            = 9
    PalmMinZ                = 199
    CoastingSpeed           = 0.4
    CoastingFriction        = 50
    PressureMotionMinZ      = 29
    PressureMotionMaxZ      = 159
    PressureMotionMinFactor = 1
    PressureMotionMaxFactor = 1
    GrabEventDevice         = 1
    TapAndDragGesture       = 1
    AreaLeftEdge            = 0
    AreaRightEdge           = 0
    AreaTopEdge             = 0
    AreaBottomEdge          = 0

Comment 1 Matěj Cepl 2011-09-04 00:46:15 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach

* your X server config file (/etc/X11/xorg.conf, if available, and any /etc/X11/xorg.conf.d/* files),
* X server log file (/var/log/Xorg.*.log*),
* evtest against the device file /dev/input/event* (find out in the Xorg.0.log which exact file corresponds to your touchpad), and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Peter Hutterer 2012-04-20 03:26:50 UTC
needinfo for over 6 months, closing.


Note You need to log in before you can comment on or make changes to this bug.